# $Revision: 1.9 $, $Date: 2008/07/27 22:40:31 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Log 
%define		pnam	Channel
Summary:	Log::Channel - yet another logging package
Summary(pl.UTF-8):	Log::Channel - jeszcze jeden pakiet do logowania
Name:		perl-Log-Channel
Version:	0.7
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	744b5f964c5c420395b5c289565498c5
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Log-Dispatch
BuildRequires:	perl-Log-Dispatch-Config
BuildRequires:	perl-XML-Simple
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Log::Channel Perl module allows for code to specify channels for
delivery of logging messages, and for users of the code to control the
delivery and formatting of the messages.

%description -l pl.UTF-8
Moduł Perla Log::Channel umożliwia określenie w kodzie kanałów
logowania komunikatów. Umożliwia też użytkownikom kodu sterowanie
doręczaniem i formatowaniem komunikatów.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes
%{perl_vendorlib}/Log/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Log-Channel.spec,v $
Revision 1.9  2008/07/27 22:40:31  arekm
- release 2

Revision 1.8  2007-02-13 07:47:12  glen
- tabs in preamble

Revision 1.7  2007/02/12 00:49:38  baggins
- converted to UTF-8

Revision 1.6  2005/07/19 13:41:38  radek
- version 0.7

Revision 1.5  2004/11/03 22:30:31  paladine
- formatting

Revision 1.4  2004/04/25 12:25:11  ankry
- fixed build, added BR:

Revision 1.3  2004/04/25 11:55:10  ankry
- fixed version: it is 0.6

Revision 1.2  2004/04/25 11:53:42  ankry
- typo

Revision 1.1  2004/04/25 11:50:59  ankry
- initial
